﻿#region Basic foreach statement
$services = Get-Service
foreach($service in $services){
    Write-Output "$($service.Name) is currently in a $($service.Status) state."
}
#endregion

#region in-line foreach statement
Get-Service | % {Write-Output "$($_.Name) is currently in a $($_.Status) state."}
#endregion

#region foreach statement with if statement
Stop-Service WinRM
$services = Get-Service
foreach($service in $services){
    if($service.Name -eq "WinRM" -and $service.Status -eq "Stopped"{
        Start-Service WinRM
    }
    Write-Output "$($service.Name) is currently in a $($service.Status) state."
}
#endregion