﻿#region Basic if
$service = Get-Service WinRM
if($service.Name -eq "WinRM"){
    Write-Output "This must be the WinRM Service"
}
#endregion

#region Basic if with logical and operator
$service = Get-Service WinRM
if($service.Name -eq "WinRM" -and $service.Status -eq "Running"){
    Write-Output "WinRM must be running"
}
#endregion

#region if statement with elseif statement
$service = Get-Service WSearch
if($service.Name -eq "WinRM"){
    Write-Output "This must be the WinRM Service"
}
elseif($service.Name -eq "WSearch"){
    Write-Output "This must be the WSearch Service"
}
#endregion

#region if statement with else statement
$service = Get-Service WinRM
if($service.Name -eq "WinRM"){
    Write-Output "This must be the WinRM Service"
}
else{
    Write-Output "This is an unknown Service"
}
#endregion

#region nested if statements
$service = Get-Service WinRM
if($service.Name -eq "WinRM"){
    if($service.Status -eq "Running"){
        Write-Output "The WinRM Service is running"
    }
    else{
        Start-Service WinRM
        Write-Output "The WinRM Service was started"
    }
}
#endregion