﻿Configuration BackupSolution {
    param(
        [string[]]
        $ComputerName = "localhost" )
    Node $ComputerName {
        WindowsFeature WindowsBackup {
            Ensure = "Present"
            Name = "Windows-Server-Backup" }
    }
}
BackupSolution -ComputerName (Get-ADComputer -Filter * | Select -Expand Name)